/***************************************************************
 * Name:      SearchCtrl.h
 * Purpose:   Defines Dialog SearchCtrl
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2025-04-20
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef BUSQUEDA_H
#define BUSQUEDA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/srchctrl.h>

class SearchCtrl : public wxDialog
{
    protected:
        enum
        {
            idBusqueda = 1000,
        };
        wxSearchCtrl* busca;
        wxString& cadena;

    public:
        SearchCtrl(wxWindow *wnd, wxString& cad);
        virtual ~SearchCtrl();
        void OnOk(wxCommandEvent& event);

    private:
        void OnClose(wxCloseEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // BUSQUEDA_H
