/***************************************************************
 * Name:      wx020App.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2025-04-20
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#ifdef __BORLANDC__
#pragma hdrstop
#endif //__BORLANDC__

#include "wx020App.h"
#include "wx020Main.h"
#include "logo_peq.xpm"

IMPLEMENT_APP(wx020App);

bool wx020App::OnInit()
{
    wx020Frame* frame = new wx020Frame(0L, _("wxWidgets Ejemplo 20"));
    frame->SetIcon(logo); // To Set App Icon
    frame->Show();

    return true;
}
