/***************************************************************
 * Name:      wx020Main.h
 * Purpose:   Defines Application Frame
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2025-04-20
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifndef WX020MAIN_H
#define WX020MAIN_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "wx020App.h"
#include "Busqueda.h"

class wx020Frame: public wxFrame
{
    public:
        wx020Frame(wxFrame *frame, const wxString& title);
        ~wx020Frame();
    private:
        enum
        {
            idMenuQuit = 1000,
            idMenuAbout,
            idMenuBusqueda
        };
        wxString cadena;
        void OnClose(wxCloseEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnBusqueda(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};


#endif // WX020MAIN_H
